Create a new tag for the company
curl --request POST \
--url https://api.lighton.ai/api/v3/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"auto_assign": true
}
'import requests
url = "https://api.lighton.ai/api/v3/tags"
payload = {
"name": "<string>",
"description": "<string>",
"auto_assign": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', auto_assign: true})
};
fetch('https://api.lighton.ai/api/v3/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 3,
"created_at": "2024-01-16T11:00:00Z",
"updated_at": "2024-01-16T11:00:00Z",
"name": "Project Alpha",
"description": "Documents related to the development and release of Project Alpha",
"auto_assign": true,
"document_count": 0
}{
"id": null,
"code": 401,
"error": "unauthorized",
"detail": "Authentication credentials were not provided or are invalid.",
"doc_url": "https://developers.lighton.ai/errors#unauthorized"
}{
"id": null,
"code": 403,
"error": "insufficient_permissions",
"detail": "You do not have permission to perform this action.",
"doc_url": "https://developers.lighton.ai/errors#insufficient_permissions"
}{
"id": null,
"code": 422,
"error": "validation_error",
"detail": "One or more fields failed validation.",
"doc_url": "https://developers.lighton.ai/errors#validation_error",
"fields": {
"<field_name>": [
{
"error": "required",
"detail": "This field is required."
}
]
}
}{
"id": null,
"code": 500,
"error": "internal_server_error",
"detail": "An unexpected error occurred. Please try again later.",
"doc_url": "https://developers.lighton.ai/errors#internal_server_error"
}{
"detail": "System is under maintenance.",
"error": "service_maintenance",
"mode": "full_shutdown",
"reason": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"endpoint_category_names": [
"<string>"
]
}Tags
Create a new tag for the company
Create a new tag for the authenticated user’s company. The auto_assign flag determines if the tag can be automatically assigned by the system (True) or only manually (False). Requires tag creation permission.
POST
/
api
/
v3
/
tags
Create a new tag for the company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Tag created successfully
Serializer for listing tags.
Tag name
Description of the tag (max 500 characters).
If True, this tag can be automatically assigned by the system. If False, it can only be assigned by a user.
Timestamp when the tag was created.
Timestamp when the tag was last updated.
Number of visible documents with this tag
⌘I